campaign_id is required